#undefine __libtoolize
%def_disable static

Name: pcsc-lite
Version: 1.3.1
Release: alt1

Group: System/Servers
Summary: Muscle PCSC Framework for Linux
Copyright: BSD
URL: http://www.linuxnet.com

Source0: pcsc-lite-%version.tar.gz
Source1: pcscd.startup
Source2: pcsc-lite-pcscd.sysconfig
# PLD
Patch0:		%{name}-fhs.patch
Patch1:		%{name}-link.patch
Patch2:		%{name}-amfix.patch

Requires: libpcsclite = %version-%release

# Automatically added by buildreq on Mon Oct 11 2004 (-bi)
#BuildRequires: flex gcc-c++ gcc-g77 libstdc++-devel libusb-devel pcsc-lite python-base python-modules-compiler python-modules-encodings rpm-build-python
BuildRequires: flex gcc-c++ libstdc++-devel libusb-devel
%if_enabled static
BuildRequires: glibc-devel-static
%endif

%description
pcscd is the daemon program for PC/SC Lite. It is a resource 
manager that coorinates communications with Smart Card readers and Smart 
Cards that are connected to the system.
The purpose of PCSC Lite is to provide a Windows(R) SCard interface in a 
very small form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R)

This package contains daemon program for PC/SC Lite

%package -n libpcsclite
Group: System/Libraries
Summary: Libraries for pcscd
#
%description -n libpcsclite
Libraries for pcscd. pcscd is the daemon program
for PC/SC Lite. It is a resource manager that coorinates
communications with Smart Card readers and Smart Cards
that are connected to the system. The purpose of PCSC Lite
is to provide a Windows(R) SCard interface in a very small
form factor for communicating to smartcards and readers.
PCSC Lite uses the same winscard api as used under Windows(R)

%package -n libpcsclite-devel
Group: Development/C
Summary: Haeders and other development files for libpcsclite
Requires: libpcsclite = %version-%release
#
%description -n libpcsclite-devel
Haeders and other development files for libpcsclite

%package -n libpcsclite-devel-static
Group: Development/C
Summary: Static libraries for libpcsclite
Requires: libpcsclite-devel = %version-%release
#
%description -n libpcsclite-devel-static
Static libraries for libpcsclite

%prep
%setup -q
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1

#%__aclocal
#%__autoconf
#%__automake

%build

%configure \
    %{subst_enable static} \
    --enable-confdir=%_sysconfdir \
    --enable-runpid=/var/run/pcscd.pid \
    --enable-ipcdir=/var/run \
    --enable-muscledropdir=%_libdir/pcsc/services \
    --enable-usbdropdir=%_libdir/pcsc/drivers \
    --enable-usb \
    --disable-scf \
    --enable-threadsafe

%make_build LDFLAGS="-ldl -lpthread"

%install
%make DESTDIR=%buildroot install

mkdir -p %buildroot/%_sysconfdir/rc.d/init.d/
install -m 755 %SOURCE1 %buildroot/%_sysconfdir/rc.d/init.d/pcscd
mkdir -p %buildroot/%_sysconfdir/sysconfig
install -m 644 %SOURCE2 %buildroot/%_sysconfdir/sysconfig/pcscd
mkdir -p %buildroot/%_docdir/%name-%version
[ -d %buildroot/%prefix/doc ] && mv %buildroot/%prefix/doc/* %buildroot/%_docdir/%name-%version
cat <<__EOF__ >%buildroot/%_sysconfdir/reader.conf
# Put configs to %_sysconfdir/reader.conf.d/
# Execute %_sbindir/update-reader.conf
__EOF__

%post   -n libpcsclite -p /sbin/ldconfig
%postun -n libpcsclite -p /sbin/ldconfig

%files
%_sbindir/pcscd
%_sbindir/installifd
%_sbindir/update-reader.conf
%_bindir/formaticc
%config(noreplace) %_sysconfdir/reader.conf
%dir %_sysconfdir/reader.conf.d/
%config(noreplace) %_sysconfdir/reader.conf.d/reader.conf
%config(noreplace) %_sysconfdir/sysconfig/pcscd
%_sysconfdir/rc.d/init.d/pcscd
%doc %_mandir/*/*
%doc %_docdir/%name-%version

%files -n libpcsclite
%_libdir/libpcsclite.so.*
#%_libdir/libmusclecard.so.*

%files -n libpcsclite-devel
%_libdir/libpcsclite.so
#%_libdir/libmusclecard.so
#%_libdir/libpcsclite.la
%_includedir/PCSC/
#%_libdir/pkgconfig/libmusclecard.pc
%_libdir/pkgconfig/libpcsclite.pc
#%doc %_docdir/%name-%version/muscle-api*

%if_enabled static
%files -n libpcsclite-devel-static
%_libdir/libpcsclite.a
%endif


%changelog
* Mon Jul 03 2006 Sergey V Turchin <zerg at altlinux dot org> 1.3.1-alt1
- new version

* Tue Feb 01 2005 Sergey V Turchin <zerg at altlinux dot org> 1.2.0-alt2
- fix default /etc/sysconfig/pcscd

* Mon Oct 11 2004 Sergey V Turchin <zerg at altlinux dot org> 1.2.0-alt1
- new version

* Tue Apr 06 2004 Sergey V Turchin <zerg at altlinux dot org> 1.1.1-alt5
- add patches from PLD

* Mon Dec 01 2003 Sergey V Turchin <zerg at altlinux dot org> 1.1.1-alt4
- remove *.la

* Mon Sep 29 2003 Sergey V Turchin <zerg at altlinux dot org> 1.1.1-alt3
- move config to %_sysconfdir
- fix build requires
- WITHOUT_RC_COMPAT=1 in initscript

* Thu Oct 24 2002 Sergey V Turchin <zerg@altlinux.ru> 1.1.1-alt2
- fix requires

* Tue Oct 22 2002 Sergey V Turchin <zerg@altlinux.ru> 1.1.1-alt1
- initial spec

